AwkFilenameFilter (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.io.AwkFilenameFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.io
Class AwkFilenameFilter

    java.lang.Object
      org.apache.oro.io.RegexFilenameFilter
          org.apache.oro.io.AwkFilenameFilter

All Implemented Interfaces:
  java.io.FileFilter, java.io.FilenameFilter

public class AwkFilenameFilter
extends RegexFilenameFilter

AwkFilenameFilter is a RegexFilenameFilter subclass that filters on Awk regular expressions as implemented by the org.apache.oro.text.awk package, which is required to use this class.

Since:
  1.0
Version:
  2.0.8
See Also:
  `RegexFilenameFilter`, `Perl5FilenameFilter`, `GlobFilenameFilter`

Constructor Summary
`AwkFilenameFilter()` Same as AwkFilenameFilter("");
`AwkFilenameFilter(java.lang.String regex)` Same as AwkFilenameFilter(regex, AwkCompiler.DEFAULT_MASK);
`AwkFilenameFilter(java.lang.String regex, int options)` Construct a filter initialized with the indicated regular expression and accompanying compilation options conforming to those used by `org.apache.oro.text.awk.AwkCompiler`

Methods inherited from class org.apache.oro.io.RegexFilenameFilter
`accept, accept, setFilterExpression, setFilterExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AwkFilenameFilter

    public AwkFilenameFilter(java.lang.String regex,
                             int options)

  Construct a filter initialized with the indicated regular expression and accompanying compilation options conforming to those used by `org.apache.oro.text.awk.AwkCompiler`

Parameters:
  `regex` - The regular expression on which to filter.
  `options` - A set of compilation options.
Throws:
  `MalformedCachePatternException` - If there is an error in compiling the regular expression. This need not be caught if you are using a hard-coded expression that you know is correct. But for robustness and reliability you should catch this exception for dynamically entered expressions determined at runtime.

### AwkFilenameFilter

    public AwkFilenameFilter(java.lang.String regex)

  Same as AwkFilenameFilter(regex, AwkCompiler.DEFAULT_MASK);

### AwkFilenameFilter

    public AwkFilenameFilter()

  Same as AwkFilenameFilter("");

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.